View Issue Details

IDProjectCategoryView StatusLast Update
00017651 - BacklogEnhancementpublic2018-06-14 00:40
Reporteruser36Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
Summary0001765: Logbook - Revamp Contest Module
DescriptionRevamp Contest module. Separate it from Logbook and offer it for sale as an add-on module.

Additional Information12/15/14
 
HRD Support:
 
I just had a very nice chat with Jason in support today and while this is fresh in my mind I'd like to share my thoughts on what HRD could do to improve its logging software. Jason informed me that one of HRD's goals down the line is to create a separate contest module. This was music to my ears, as that in itself would resolve most of my issues with contest logging in HRD. For what it's worth, here are some of my additional suggestions as to what might improve the contest logging module. I'm guessing that there are a lot of Hams out there besides myself who would welcome these additional features. I will refer to HRD's regular logging mode as the "full logging" field, and the contest mode as the "contest" field.
 
1) Fix the contest bar so that when you enter information in a contest field box and hit the space bar the entry point advances to the next field as designated by the user and correctly assigns that info to the corresponding full logging Field.

2) Allow a choice of either manual or auto fill in the exchange fields: for example, since RST is normally given as 59 (SSB) or 599 (CW) in a contest it would be nice to have that Field auto filled in the contest field with the option of manually changing it in the event something other than 59 is sent or received. (HRD's full logging field already functions this way.) Now here's where you could really get slick: have the default be that when you hit the space bar in the entry field preceding the RST the RST autofills and then advances you to the next entry field. In the rare event a different RST is sent or received the user could manually change the RST.

3) Allow autofill of the specific frequency in the contest frequency field so that this information is automatically tracked and logged. (HRD's full logging field already functions this way.)

4) Add a "QRZ" check in the logging field that would allow the user to click and automatically enter the contact's QRZ info in the corresponding full logging field. (HRD's full logging field already functions this way.) Now here's where you could really get slick again: suppose the contact's contest QTH is different from the contact's QRZ QTH. (Not a rare event – often a contestant is working the contest from somewhere other than his or her base station.) To correct this have the QTH info (State, ARRL Section, Province, etc.) entered in the contest field automatically replace the corresponding QRZ entries in the full logging field. It would also be nice if when you hit the QRZ check there was a confirmation notification indicating whether or not the Call was in QRZ: maybe something as simple as a + for in and a - for not found. I confess this is a feature I personally could use, as it would serve to confirm I got the call right, hi hi.

5) Ideally contained within the entirely separate contest logging module would be both the contest fields and full logging fields, allowing the user to choose their preferred entry method. Then once the contest was booked, the contest contacts could be imported into the regular log in the full logging field mode.

 
Good luck and Godspeed. Keep on programming! I'm convinced if you incorporated the features I'm suggesting into HRD's upgraded suite not only would I be a happy camper, but you'd sell more software!
 
73,
 
Thomas Johnson, KQ6DV

Re: my previous email. It should have read “allowing the users to choose their preferred entry method.” Minor edit, but I wanted to get it right. I’m glad that omitting a character in a written document doesn’t create the resultant “bug” that an omission in programming would. J

Tom
TagsNo tags attached.
ModuleLogbook
Sub-ModuleContest
Testing

Relationships

parent of 0001971 closed 5 - Closed w/o Action Add HADX Contest to Contest App 
parent of 0002304 closedKC7FPF 5 - Closed w/o Action Not able to add/save new contest listing 
parent of 0002708 closed 5 - Closed w/o Action Contest Mode 
related to 0001842 new 1 - Backlog Cabrillo Select and Output / 10 Meter RTTY Contest 

Activities

WA9PIE

2018-06-13 22:47

administrator   ~0005275

Last edited: 2018-06-13 22:47

View 2 revisions

Making this the parent for all contest related issues and we'll related these all to it.

Issue History

Date Modified Username Field Change
2014-12-24 13:30 user36 New Issue
2015-09-17 13:18 WA9PIE Category Logbook => Enhancement
2015-09-17 13:18 WA9PIE Project @6@ => 1 - Backlog
2015-09-29 16:57 WA9PIE Fix Build TBD => (select)
2015-09-29 16:57 WA9PIE Summary Enhancement: Logbook - Revamp Contest Module => Logbook - Revamp Contest Module
2018-06-13 22:47 WA9PIE Note Added: 0005275
2018-06-13 22:47 WA9PIE Note Edited: 0005275 View Revisions
2018-06-13 22:55 WA9PIE Relationship added related to 0001842
2018-06-13 23:27 WA9PIE Relationship added parent of 0001971
2018-06-14 00:36 WA9PIE Relationship added parent of 0002304
2018-06-14 00:40 WA9PIE Relationship added parent of 0002708